import request from '@/utils/request'

// 查询直播间列表
export function listImLiveRoom(query) {
  return request({
    url: '/service/imLiveRoom/list',
    method: 'get',
    params: query
  })
}

// 查询直播间详细
export function getImLiveRoom(id) {
  return request({
    url: '/service/imLiveRoom/' + id,
    method: 'get'
  })
}

// 新增直播间
export function addImLiveRoom(data) {
  return request({
    url: '/service/imLiveRoom',
    method: 'post',
    data: data
  })
}

// 修改直播间
export function updateImLiveRoom(data) {
  return request({
    url: '/service/imLiveRoom',
    method: 'put',
    data: data
  })
}

// 删除直播间
export function delImLiveRoom(id) {
  return request({
    url: '/service/imLiveRoom/' + id,
    method: 'delete'
  })
}

// 删除直播间
export function removeImLiveRoom(data) {
  return request({
    url: '/service/imLiveRoom/remove',
    method: 'post',
    data: data
  })
}
